[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TMasterDataLink.OnMasterChange

Called whenever the master dataset data changes

## Declaration

Source position: db.pas line 1739

`public property TMasterDataLink.OnMasterChange: TNotifyEvent read FOnMasterChange write FOnMasterChange;`

## Description

OnMasterChange is called whenever the field values in the master dataset changes, i.e. when it becomes active, or when the current record changes. If the TMasterDataLink.Fields list is empty, TMasterDataLink.OnMasterDisable is called instead.

## See also

TMasterDataLink.OnMasterDisable |  | Called whenever the master dataset is disabled

The latest version of this document can be found at lazarus-ccr.sourceforge.net .